Projects
Generated on 18 Mar 2026
https://api.paperspace.com/v1
Endpoints
GET List projects
/projects
Authorizations:
BearerAuth
An API key or access token
List projects. This endpoint supports pagination and sorting.
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descRequest: /projects
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtCreated
required
The date the project was created
dtDeleted
optional Nullable
The date the project was deleted
id
required
The ID of the project
name
required
The name of the project
repoName
optional Nullable
The name of the GitHub repository if this is is a GitHub-connected project.
repoNodeId
optional Nullable
The node ID of the GitHub repository if this is is a GitHub-connected project.
repoUrl
optional Nullable
The URL of the GitHub repository if this is is a GitHub-connected project.
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"name": "string",
"repoName": "string",
"repoNodeId": "string",
"repoUrl": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create a project
/projects
Authorizations:
BearerAuth
An API key or access token
Create a project
Request Body: application/json
name
required
The name of the project
Request: /projects
{
"name": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}' \
"https://api.paperspace.com/v1/projects"Responses
200
Successful response
application/json
dtCreated
required
The date the project was created
dtDeleted
optional Nullable
The date the project was deleted
id
required
The ID of the project
name
required
The name of the project
repoName
optional Nullable
The name of the GitHub repository if this is is a GitHub-connected project.
repoNodeId
optional Nullable
The node ID of the GitHub repository if this is is a GitHub-connected project.
repoUrl
optional Nullable
The URL of the GitHub repository if this is is a GitHub-connected project.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"name": "string",
"repoName": "string",
"repoNodeId": "string",
"repoUrl": "string"
}{
"code": "string",
"message": "string"
}GET Get a project by its ID
/projects/{id}
Authorizations:
BearerAuth
An API key or access token
Get a project by its ID.
Path Parameters
id
required
The ID of the project to get
Request: /projects/{id}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}"Responses
200
Successful response
application/json
dtCreated
required
The date the project was created
dtDeleted
optional Nullable
The date the project was deleted
id
required
The ID of the project
name
required
The name of the project
repoName
optional Nullable
The name of the GitHub repository if this is is a GitHub-connected project.
repoNodeId
optional Nullable
The node ID of the GitHub repository if this is is a GitHub-connected project.
repoUrl
optional Nullable
The URL of the GitHub repository if this is is a GitHub-connected project.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"name": "string",
"repoName": "string",
"repoNodeId": "string",
"repoUrl": "string"
}{
"code": "string",
"message": "string"
}PUT Update a project
/projects/{id}
Authorizations:
BearerAuth
An API key or access token
Update a project
Path Parameters
id
required
The ID of the project to update
Request Body: application/json
name
required
The new name of the project
Request: /projects/{id}
{
"name": "string"
}curl -X PUT \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}' \
"https://api.paperspace.com/v1/projects/{id}"Responses
200
Successful response
application/json
dtCreated
required
The date the project was created
dtDeleted
optional Nullable
The date the project was deleted
id
required
The ID of the project
name
required
The name of the project
repoName
optional Nullable
The name of the GitHub repository if this is is a GitHub-connected project.
repoNodeId
optional Nullable
The node ID of the GitHub repository if this is is a GitHub-connected project.
repoUrl
optional Nullable
The URL of the GitHub repository if this is is a GitHub-connected project.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"name": "string",
"repoName": "string",
"repoNodeId": "string",
"repoUrl": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete a project
/projects/{id}
Authorizations:
BearerAuth
An API key or access token
Delete a project
Path Parameters
id
required
The ID of the project to delete
Request: /projects/{id}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}"Responses
200
Successful response
application/json
dtCreated
required
The date the project was created
dtDeleted
optional Nullable
The date the project was deleted
id
required
The ID of the project
name
required
The name of the project
repoName
optional Nullable
The name of the GitHub repository if this is is a GitHub-connected project.
repoNodeId
optional Nullable
The node ID of the GitHub repository if this is is a GitHub-connected project.
repoUrl
optional Nullable
The URL of the GitHub repository if this is is a GitHub-connected project.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"id": "string",
"name": "string",
"repoName": "string",
"repoNodeId": "string",
"repoUrl": "string"
}{
"code": "string",
"message": "string"
}GET List a project's activity
/projects/{id}/activity
Authorizations:
BearerAuth
An API key or access token
Fetches a list of activity items for a given project.
Path Parameters
id
required
The ID of the project to fetch activity items for
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descdeploymentId
optional
Constrain results to deployment activity.
Request: /projects/{id}/activity
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/activity"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
action
required
The action that was performed
actor
optional Nullable
The actor that performed the action. Either a use or system.
Show child properties
avatarUrl
optional Nullable
The avatar URL of the actor
email
optional Nullable
The email of the actor
fullName
optional Nullable
The full name of the actor (e.g. "John Doe")
data
optional Nullable
The data associated with the activity item
Show child properties
from
required
to
required
deployment
optional Nullable
The deployment associated with the activity item
Show child properties
dtDeleted
required Nullable
The date the deployment was deleted
id
required
The ID of the deployment
name
required
The name of the deployment
dtCreated
required
The date the activity item was created
id
required
ID of the activity item
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"action": "deployment.scaled",
"dtCreated": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}GET List a project's collaborators
/projects/{id}/collaborators
Authorizations:
BearerAuth
An API key or access token
Fetches a list of collaborators for a project.
Path Parameters
id
required
The ID of the project.
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descRequest: /projects/{id}/collaborators
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/collaborators"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtCreated
required
The date the collaborate was added to the project
dtDeleted
optional Nullable
The date the collaborator was removed from the project
user
required
The user that can access the project
Show child properties
email
required
The email address of the user
firstName
optional Nullable
The first name of the user
id
required
The ID of the user
lastName
optional Nullable
The last name of the user
publicProfileImageUrl
optional Nullable
The URL of the team's profile image.
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create a project collaborator
/projects/{id}/collaborators
Authorizations:
BearerAuth
An API key or access token
Adds a new collaborator to a project.
Path Parameters
id
required
The ID of the project.
Request Body: application/json
userId
required
The ID of the user to add to the project. This can be found on the user's profile at https://console.paperspace.com/account/settings/profile.
Request: /projects/{id}/collaborators
{
"userId": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"userId": "string"
}' \
"https://api.paperspace.com/v1/projects/{id}/collaborators"Responses
200
Successful response
application/json
dtCreated
required
The date the collaborate was added to the project
dtDeleted
optional Nullable
The date the collaborator was removed from the project
user
required
The user that can access the project
Show child properties
email
required
The email address of the user
firstName
optional Nullable
The first name of the user
id
required
The ID of the user
lastName
optional Nullable
The last name of the user
publicProfileImageUrl
optional Nullable
The URL of the team's profile image.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtDeleted": "2019-08-24T14:15:22Z",
"user": {
"email": "string",
"firstName": "string",
"id": "string",
"lastName": "string",
"publicProfileImageUrl": "string"
}
}{
"code": "string",
"message": "string"
}DELETE Delete a project collaborator
/projects/{id}/collaborators/{userId}
Authorizations:
BearerAuth
An API key or access token
Removes a collaborator from a project.
Path Parameters
id
required
The ID of the project.
userId
required
The ID of the user to remove from the project. This can be found on the team members page at https://console.paperspace.com/settings/members.
Request: /projects/{id}/collaborators/{userId}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/collaborators/{userId}"Responses
200
Successful response
application/json
userId
required
The ID of the user removed from the project.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"userId": "string"
}{
"code": "string",
"message": "string"
}GET List a project's deployments
/projects/{id}/deployments
Authorizations:
BearerAuth
An API key or access token
Fetches a list of deployments for a project.
Path Parameters
id
required
The ID of the project to fetch deployments for
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descname
optional
Filter to deployments with names matching this string.
Request: /projects/{id}/deployments
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/deployments"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
basicAuthKey
optional Nullable
The endpoint security key for the deployment
dtCreated
required
The date the deployment was created
endpoint
required
The unique endpoint for the deployment
id
required
The ID of the deployment
latestSpec
optional Nullable
The latest deployment configuration. If invalid, null is returned.
Show child properties
data
optional Nullable
The data for the deployment spec
Option 2
apiVersion
required
basicAuthKey
optional
command
optional
containerRegistry
optional
enabled
optional
env
optional
healthChecks
optional
healthchecks
optional
image
required
integrations
optional
name
required
region
optional
resources
required
deploymentId
required
The ID of the deployment the spec belongs to
dtHealthy
optional Nullable
The date the deployment was marked "healthy"
error
optional Nullable
The fatal configuration error. Only present if the cluster was unable to apply the entire deployment configuration. This is not the same as an instance error.
externalApplied
optional Nullable
The date the deployment configuration was applied to the cluster
id
required
The ID of the deployment spec
metadata
optional Nullable
Metadata about the source of the configuration
Show child properties
gitHeaders
optional
userId
required
The ID of the user the deployment belongs to
latestSpecHash
optional Nullable
The last version hash for the deployment
name
required
The name of the deployment
projectId
required
The ID of the project the deployment belongs to
teamId
required
The ID of the team the deployment belongs to
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"basicAuthKey": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"endpoint": "string",
"id": "string",
"latestSpecHash": "string",
"name": "string",
"projectId": "string",
"teamId": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}GET List a project's models
/projects/{id}/models
Authorizations:
BearerAuth
An API key or access token
Fetches a list of models for a project.
Path Parameters
id
required
The ID of the project to fetch models for
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descname
optional
Filter to models with names matching this string.
Request: /projects/{id}/models
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/models"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required
The name of the dataset
projectId
required Nullable
The ID of the project
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string",
"teamId": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Add a model to a project
/projects/{id}/models/{modelId}
Authorizations:
BearerAuth
An API key or access token
Adds a model to a project.
Path Parameters
id
required
The ID of the project to add the model to
modelId
required
The ID of the model to add to the project. See Create a model.
Request: /projects/{id}/models/{modelId}
curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
"https://api.paperspace.com/v1/projects/{id}/models/{modelId}"Responses
200
Successful response
application/json
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required
The name of the dataset
projectId
required Nullable
The ID of the project
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string",
"teamId": "string"
}{
"code": "string",
"message": "string"
}DELETE Remove a model from project
/projects/{id}/models/{modelId}
Authorizations:
BearerAuth
An API key or access token
Remove a model from project.
Path Parameters
id
required
The ID of the project to remove the model from
modelId
required
The ID of the model to remove from the project. See Create a model.
Request: /projects/{id}/models/{modelId}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/models/{modelId}"Responses
200
Successful response
application/json
description
required Nullable
The description of the dataset
dtCreated
required
The date the dataset was created
dtModified
required
The date the dataset was last modified
id
required
The ID of the dataset
isPublic
required
Whether the dataset is public
name
required
The name of the dataset
projectId
required Nullable
The ID of the project
storageProviderId
required Nullable
The ID of the storage provider
teamId
required
The ID of the team that owns the dataset
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"description": "string",
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"id": "string",
"isPublic": true,
"name": "string",
"projectId": "string",
"storageProviderId": "string",
"teamId": "string"
}{
"code": "string",
"message": "string"
}GET List a project's secrets
/projects/{id}/secrets
Authorizations:
BearerAuth
An API key or access token
Fetches a list of secrets for a project.
Path Parameters
id
required
The ID of the project where the secret is stored.
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descRequest: /projects/{id}/secrets
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/secrets"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtCreated
required
The date the secret was created.
dtModified
required
The date the secret was last modified.
hasDeploymentAttached
required
name
required
The name of the secret, e.g. "DB_PASSWORD".
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"hasDeploymentAttached": true,
"name": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Create a project secret
/projects/{id}/secrets
Authorizations:
BearerAuth
An API key or access token
Creates a new secret for a project.
Path Parameters
id
required
The ID of the project where the secret is stored.
Request Body: application/json
name
required
The name of the secret, e.g. "DB_PASSWORD".
value
required
The value of the secret, e.g. "password".
Request: /projects/{id}/secrets
{
"name": "string",
"value": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"value": "string"
}' \
"https://api.paperspace.com/v1/projects/{id}/secrets"Responses
200
Successful response
application/json
dtCreated
required
The date the secret was created.
dtModified
required
The date the secret was last modified.
name
required
The name of the secret, e.g. "DB_PASSWORD".
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"name": "string"
}{
"code": "string",
"message": "string"
}GET Get a project secret
/projects/{id}/secrets/{name}
Authorizations:
BearerAuth
An API key or access token
Fetches a secret for a project.
Path Parameters
id
required
The ID of the project where the secret is stored.
name
required
The name of the secret, e.g. "DB_PASSWORD".
Request: /projects/{id}/secrets/{name}
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/secrets/{name}"Responses
200
Successful response
application/json
dtCreated
required
The date the secret was created.
dtModified
required
The date the secret was last modified.
hasDeploymentAttached
required
name
required
The name of the secret, e.g. "DB_PASSWORD".
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"hasDeploymentAttached": true,
"name": "string"
}{
"code": "string",
"message": "string"
}PATCH Update a project secret
/projects/{id}/secrets/{name}
Authorizations:
BearerAuth
An API key or access token
Update the value of a secret for a project.
Path Parameters
id
required
The ID of the project where the secret is stored.
name
required
The name of the secret, e.g. "DB_PASSWORD".
Request Body: application/json
value
required
The value of the secret, e.g. "password".
Request: /projects/{id}/secrets/{name}
{
"value": "string"
}curl -X PATCH \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"value": "string"
}' \
"https://api.paperspace.com/v1/projects/{id}/secrets/{name}"Responses
200
Successful response
application/json
dtCreated
required
The date the secret was created.
dtModified
required
The date the secret was last modified.
name
required
The name of the secret, e.g. "DB_PASSWORD".
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"dtModified": "2019-08-24T14:15:22Z",
"name": "string"
}{
"code": "string",
"message": "string"
}DELETE Delete a project secret
/projects/{id}/secrets/{name}
Authorizations:
BearerAuth
An API key or access token
Deletes a secret for a project.
Path Parameters
id
required
The ID of the project where the secret is stored.
name
required
The name of the secret, e.g. "DB_PASSWORD".
Request: /projects/{id}/secrets/{name}
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/secrets/{name}"Responses
200
Successful response
application/json
name
required
The name of the secret, e.g. "DB_PASSWORD".
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"name": "string"
}{
"code": "string",
"message": "string"
}GET List a project's tags
/projects/{id}/tags
Authorizations:
BearerAuth
An API key or access token
Fetches a list of tags for a project.
Path Parameters
id
required
The ID of the project to fetch tags for
Query Parameters
after
optional
Fetch the next page of results after this cursor.
limit
1 – 120 optional
The number of items to fetch after this page.
orderBy
optional
Order results by one of these fields.
Default:dtCreatedorder
optional
The order to sort the results by.
Default:descRequest: /projects/{id}/tags
curl -X GET \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/tags"Responses
200
Successful response
application/json
hasMore
required
Whether there are more pages of results available.
items
required
The items on this page.
Show child properties
dtCreated
required
The date the notebook was created
id
required
The ID of the tag
name
required
The name of the tag
nextPage
optional
The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"hasMore": true,
"items": [
{
"dtCreated": "2019-08-24T14:15:22Z",
"id": 0,
"name": "string"
}
],
"nextPage": "string"
}{
"code": "string",
"message": "string"
}POST Add a tag to a project
/projects/{id}/tags
Authorizations:
BearerAuth
An API key or access token
Adds a tag to a project.
Path Parameters
id
required
The ID of the project to add the tag to
Request Body: application/json
name
required
The name of the tag to add to the project
Request: /projects/{id}/tags
{
"name": "string"
}curl -X POST \
-H "Authorization: Bearer $API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}' \
"https://api.paperspace.com/v1/projects/{id}/tags"Responses
200
Successful response
application/json
dtCreated
required
The date the notebook was created
id
required
The ID of the tag
name
required
The name of the tag
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"id": 0,
"name": "string"
}{
"code": "string",
"message": "string"
}DELETE Remove a tag from a project
/projects/{id}/tags
Authorizations:
BearerAuth
An API key or access token
Remove a tag from a project.
Path Parameters
id
required
The ID of the project to remove the tag from
Query Parameters
name
required
The name of the tag to remove from the project
Request: /projects/{id}/tags
curl -X DELETE \
-H "Authorization: Bearer $API_TOKEN" \
"https://api.paperspace.com/v1/projects/{id}/tags"Responses
200
Successful response
application/json
dtCreated
required
The date the notebook was created
id
required
The ID of the tag
name
required
The name of the tag
default
Error response
application/json
code
required
details
optional
message
required
Response
{
"dtCreated": "2019-08-24T14:15:22Z",
"id": 0,
"name": "string"
}{
"code": "string",
"message": "string"
}